-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.6.26


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema fortbildung
--

CREATE DATABASE IF NOT EXISTS fortbildung;
USE fortbildung;

--
-- Definition of table `belegung`
--

DROP TABLE IF EXISTS `belegung`;
CREATE TABLE `belegung` (
  `T_Nr` char(3) NOT NULL,
  `S_Nr` int(11) NOT NULL,
  PRIMARY KEY (`T_Nr`,`S_Nr`),
  KEY `FK_3` (`S_Nr`),
  CONSTRAINT `FK_2` FOREIGN KEY (`T_Nr`) REFERENCES `teilnehmer` (`T_Nr`),
  CONSTRAINT `FK_3` FOREIGN KEY (`S_Nr`) REFERENCES `seminar` (`S_Nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `belegung`
--

/*!40000 ALTER TABLE `belegung` DISABLE KEYS */;
INSERT INTO `belegung` (`T_Nr`,`S_Nr`) VALUES 
 ('001',1),
 ('002',1),
 ('003',1),
 ('001',2),
 ('002',2),
 ('004',3),
 ('001',4);
/*!40000 ALTER TABLE `belegung` ENABLE KEYS */;


--
-- Definition of table `leiter`
--

DROP TABLE IF EXISTS `leiter`;
CREATE TABLE `leiter` (
  `L_Nr` char(3) NOT NULL,
  `Name` char(20) DEFAULT NULL,
  `Einstelldatum` date DEFAULT NULL,
  `Gehaltsgruppe` int(11) DEFAULT NULL,
  PRIMARY KEY (`L_Nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `leiter`
--

/*!40000 ALTER TABLE `leiter` DISABLE KEYS */;
INSERT INTO `leiter` (`L_Nr`,`Name`,`Einstelldatum`,`Gehaltsgruppe`) VALUES 
 ('001','Hahn','2005-05-11',3),
 ('002','Weber','2006-08-10',4),
 ('003','Tress','2004-11-03',2),
 ('004','Schwab','2003-10-11',1);
/*!40000 ALTER TABLE `leiter` ENABLE KEYS */;


--
-- Definition of table `seminar`
--

DROP TABLE IF EXISTS `seminar`;
CREATE TABLE `seminar` (
  `S_Nr` int(11) NOT NULL,
  `Beginn` date DEFAULT NULL,
  `Dauer` int(11) DEFAULT NULL,
  `Thema` char(20) DEFAULT NULL,
  `Gebuehr` double DEFAULT NULL,
  `L_Nr` char(3) DEFAULT NULL,
  PRIMARY KEY (`S_Nr`),
  KEY `FK_1` (`L_Nr`),
  CONSTRAINT `FK_1` FOREIGN KEY (`L_Nr`) REFERENCES `leiter` (`L_Nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `seminar`
--

/*!40000 ALTER TABLE `seminar` DISABLE KEYS */;
INSERT INTO `seminar` (`S_Nr`,`Beginn`,`Dauer`,`Thema`,`Gebuehr`,`L_Nr`) VALUES 
 (1,'2008-05-20',2,'Küchenplanung',695.9,'002'),
 (2,'2009-10-15',7,'Kundenwerbung',359.5,'004'),
 (3,'2009-03-25',14,'Küchenplanung',417.32,'001'),
 (4,'2009-02-11',2,'Raummessung',298.2,'001');
/*!40000 ALTER TABLE `seminar` ENABLE KEYS */;


--
-- Definition of table `teilnehmer`
--

DROP TABLE IF EXISTS `teilnehmer`;
CREATE TABLE `teilnehmer` (
  `T_Nr` char(3) NOT NULL,
  `Name` char(20) DEFAULT NULL,
  `Vorname` char(20) DEFAULT NULL,
  `Geschlecht` char(8) DEFAULT NULL,
  `Firma_Nr` char(3) DEFAULT NULL,
  PRIMARY KEY (`T_Nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `teilnehmer`
--

/*!40000 ALTER TABLE `teilnehmer` DISABLE KEYS */;
INSERT INTO `teilnehmer` (`T_Nr`,`Name`,`Vorname`,`Geschlecht`,`Firma_Nr`) VALUES 
 ('001','Maier','Hulda','weiblich','011'),
 ('002','Müller','Adelbert','männlich','010'),
 ('003','Huber','Adele','weiblich','010'),
 ('004','Schmitt','Waldtraut','weiblich','011'),
 ('005','Schmitt','Walter','männlich','011');
/*!40000 ALTER TABLE `teilnehmer` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
